package fxHarakka;


/**
 * Tää on siis luokka joka sisältää "projekti" alustajia ja sen metodeita.
 * Tehään tällein jotta asiat löytyy helposti oikeista paikoista
 *
 * eli kun käyttöliittymästä painetaan luo projekti nii hypätään tänne
 * kutsumaan aliohjelmaa luo projekti
 *
 *
 */
public class Projekti {

    private int id;             //projekti id --> ensimmäinen projekti 1
    private String nimi;        //projektin nimi
    private String aihe;        //en tiiä onko vielä käyttöä mut voidaan leimata projekti tietyks aiheeks
                                //samalla aiheella sama värikoodaus käyttöliittymässä

   private static int seuraavaNro = 1;

    //default parametritön muodostaja
    public Projekti() {
        this.id = 0;
        this.nimi = "";
        this.aihe = "";
    }

    //parametrillinen muodostaja
    public Projekti(int id, String nimi, String aihe){
        this.id = id;
        this.nimi = nimi;
        this.aihe = aihe;
    }

    public static Projekti luoProjekti(String nimi, String aihe){       //static koska ei tarvita this
        int nro = seuraavaNro++; // huom jälkilisäys
        Projekti projekti = new Projekti(nro, nimi, aihe);


        return projekti;

    }

    public int getId() {
        return id;
    }
    public String getNimi() {
        return nimi;
    }
    public String getAihe() {
        return aihe;
    }

    @Override
    public String toString(){
        String strg = this.nimi + " | " + this.aihe + " | " + this.id;

        return strg;
    }

    //maini testaamista varten
    public static void main(String[] args){
        Projekti testi1 = luoProjekti("kvantti", "fysiikka");
        System.out.println(testi1);

        Projekti testi2 = luoProjekti("Nakki", "Keitto");
        System.out.println(testi2);                      //ID toimii
    }


}
